<?php
namespace SM\Controller;

use Zeedhi\Framework\DTO\Request;
use SM\Service\Sm00004101RelatorioCustomizavelContratoService;
use SM\Traits\TResponse;

class Sm00004101RelatorioCustomizavelContratoController
{
    use TResponse;
    
    protected $RelatorioCustomizavelContratoService;
    
    public function __construct(Sm00004101RelatorioCustomizavelContratoService $RelatorioCustomizavelContratoService)
    {
        $this->RelatorioCustomizavelContratoService = $RelatorioCustomizavelContratoService;
    }
    
    public function getRelatorioCustomizavelContrato(Request $request)
    {
        try {
            $data = $this->RelatorioCustomizavelContratoService->getRelatorioCustomizavelContrato($request->getParameters());
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    public function getPropostaRelatorioContrato()
    {
        try {
            $data = $this->RelatorioCustomizavelContratoService->getPropostaRelatorioContrato();
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    public function getItensRelatorioContrato(Request $request)
    {
        try {
            $data = $this->RelatorioCustomizavelContratoService->getItensRelatorioContrato($request->getParameters());

            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }
}
